### Hierarchy

- Location

## Index

### Constructors

- constructor

### Properties

- end
- source
- start

## Constructors

### constructor

- new Location(start: number, end: number, source: Source): Location

- - Defined in src/ast/location.ts:6

  #### Parameters

  - ##### start: number

  - ##### end: number

  - ##### source: Source

  #### Returns Location

## Properties

### end

end: number

- Defined in src/ast/location.ts:5

### source

source: Source

- Defined in src/ast/location.ts:6

### start

start: number

- Defined in src/ast/location.ts:4

Generated using TypeDoc